Get Sleep Summary
curl --request GET \
--url https://api.example.com/api/v1/users/{user_id}/summaries/sleep \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/users/{user_id}/summaries/sleep"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/users/{user_id}/summaries/sleep', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"date": "2023-12-25",
"source": {
"provider": "apple_health",
"device": "Apple Watch Series 9"
},
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"zone_offset": "<string>",
"duration_minutes": 450,
"total_duration_minutes": 480,
"time_in_bed_minutes": 480,
"efficiency_percent": 89.5,
"stages": {
"awake_minutes": 123,
"light_minutes": 123,
"deep_minutes": 123,
"rem_minutes": 123
},
"interruptions_count": 123,
"nap_count": 1,
"nap_duration_minutes": 30,
"sessions": [
{
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"zone_offset": "<string>",
"duration_minutes": 420,
"is_nap": false
}
],
"avg_heart_rate_bpm": 123,
"avg_hrv_sdnn_ms": 123,
"avg_hrv_rmssd_ms": 123,
"avg_respiratory_rate": 123,
"avg_spo2_percent": 123
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0",
"previous_cursor": "<string>",
"total_count": 150
},
"metadata": {
"sample_count": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Summaries
Get Sleep Summary
Returns daily sleep metrics.
GET
/
api
/
v1
/
users
/
{user_id}
/
summaries
/
sleep
Get Sleep Summary
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Query Parameters
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
Examples:
"2023-11-07T05:31:56Z"
"2023-11-07"
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
Examples:
"2023-11-07T05:31:56Z"
"2023-11-07"
Required range:
1 <= x <= 100Was this page helpful?
⌘I

